<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:33
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class JdzCabinetOrderBox250114{
    public static function tableName()
    {
        return '{{jdz_cabinet_order_box_250114}}';
    }
                
    /**
     * ------------ 字段 id 
     * ------------ 表字段注释: 
     */
    public function filterById($val): self
    {
        $this->filterByColumn("id", $val);
        return $this;
    }

    public function setId($val): self
    {
        $this->setAttr("id", $val);
        return $this;
    }

    public function getId()
    {
        return $this->id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 order_sn 
     * ------------ 表字段注释: 
     */
    public function filterByOrderSn($val): self
    {
        $this->filterByColumn("order_sn", $val);
        return $this;
    }

    public function setOrderSn($val): self
    {
        $this->setAttr("order_sn", $val);
        return $this;
    }

    public function getOrderSn()
    {
        return $this->order_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 dev_id 
     * ------------ 表字段注释: 
     */
    public function filterByDevId($val): self
    {
        $this->filterByColumn("dev_id", $val);
        return $this;
    }

    public function setDevId($val): self
    {
        $this->setAttr("dev_id", $val);
        return $this;
    }

    public function getDevId()
    {
        return $this->dev_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 box_sn 
     * ------------ 表字段注释: 
     */
    public function filterByBoxSn($val): self
    {
        $this->filterByColumn("box_sn", $val);
        return $this;
    }

    public function setBoxSn($val): self
    {
        $this->setAttr("box_sn", $val);
        return $this;
    }

    public function getBoxSn()
    {
        return $this->box_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 cabinet_battery_sn 
     * ------------ 表字段注释: 
     */
    public function filterByCabinetBatterySn($val): self
    {
        $this->filterByColumn("cabinet_battery_sn", $val);
        return $this;
    }

    public function setCabinetBatterySn($val): self
    {
        $this->setAttr("cabinet_battery_sn", $val);
        return $this;
    }

    public function getCabinetBatterySn()
    {
        return $this->cabinet_battery_sn ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 box_type 
     * ------------ 表字段注释: 类型 1 归还仓  2 借出仓
     */
    public function filterByBoxType($val): self
    {
        $this->filterByColumn("box_type", $val);
        return $this;
    }

    public function setBoxType($val): self
    {
        $this->setAttr("box_type", $val);
        return $this;
    }

    public function getBoxType()
    {
        return $this->box_type ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 is_fault 
     * ------------ 表字段注释: 是否为故障仓 0 故障  1 非故障
     */
    public function filterByIsFault($val): self
    {
        $this->filterByColumn("is_fault", $val);
        return $this;
    }

    public function setIsFault($val): self
    {
        $this->setAttr("is_fault", $val);
        return $this;
    }

    public function getIsFault()
    {
        return $this->is_fault ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 alarm_desc 
     * ------------ 表字段注释: 返回结果
     */
    public function filterByAlarmDesc($val): self
    {
        $this->filterByColumn("alarm_desc", $val);
        return $this;
    }

    public function setAlarmDesc($val): self
    {
        $this->setAttr("alarm_desc", $val);
        return $this;
    }

    public function getAlarmDesc()
    {
        return $this->alarm_desc ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
    
}
